import { ITemplate } from '../cloudrun/type';
export * from './auth';
export * from './cloud-api-request';
export * from './cloudbase-request';
export * from './envLazy';
export * from './fs';
export * from './http-request';
export { guid6 } from './uuid';
interface IZipOption {
    dirPath: string;
    outputPath: string;
    ignore?: string | string[];
    pattern?: string;
}
export declare function compressToZip(option: IZipOption): Promise<unknown>;
/**
 * 下载并解压云托管模板到指定目录
 * @param {string} downloadUrl 模板下载地址
 * @param {string} targetPath 目标路径
 * @returns {Promise<void>}
 * @throws 当下载失败或解压失败时抛出错误
 */
export declare function downloadAndExtractRemoteZip(downloadUrl: string, targetPath: string): Promise<void>;
export declare function getRuntime(): string;
export declare function getEnvVar(envName: string): string;
export declare function rsaEncrypt(data: string): string;
export declare function sleep(time: number): Promise<void>;
export declare function upperCaseStringFisrt(str: string): string;
export declare function upperCaseObjKey(object: any): any;
/**
 * 获取函数模板列表
 * @param type 函数模板类型，支持 'scfFunc' 和 'tcbrFunc'
 * @returns
 */
export declare function fetchTemplates(types: ('scfFunc' | 'tcbrFunc' | 'tcbrContainer')[]): Promise<ITemplate[]>;
